You are viewing a plain text version of this content. The canonical link for it is here.
Posted to issues@ozone.apache.org by GitBox <gi...@apache.org> on 2019/11/22 17:51:42 UTC

[GitHub] [hadoop-ozone] anuengineer commented on a change in pull request #253: HDDS-2587. Enable sonarcloud measurement as part of CI builds

anuengineer commented on a change in pull request #253: HDDS-2587. Enable sonarcloud measurement as part of CI builds
URL: https://github.com/apache/hadoop-ozone/pull/253#discussion_r349719254
 
 

 ##########
 File path: hadoop-ozone/dev-support/checks/sonar.sh
 ##########
 @@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
+cd "$DIR/../../.." || exit 1
+
+if [ ! "$SONAR_TOKEN" ]; then
+  echo "SONAR_TOKEN environment variable should be set"
 
 Review comment:
   Can we echo in what format this should be --? export SONAR_TOKEN=<token> ? or do wee need anything else.
   and also a line about you can get your sonar token from the sonar cloud.io if you are added as part of the Ozone group. I will commit this now, but just a suggestion so that users know how to get the token and how to export it. We also add that info in the Wiki and print a pointer to it. Or we can add a README.txt in the tools directory. Just wanted a way for others who are not familiar with this process to find a way forward. Thanks
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

---------------------------------------------------------------------
To unsubscribe, e-mail: ozone-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: ozone-issues-help@hadoop.apache.org